#
# spec file for package python-pytest-filter-subpackage
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-filter-subpackage
Version:        0.2.0
Release:        1.4
Summary:        Pytest plugin for filtering based on sub-packages
License:        BSD-3-Clause
URL:            https://github.com/astropy/pytest-filter-subpackage
Source:         https://files.pythonhosted.org/packages/source/p/pytest-filter-subpackage/pytest-filter-subpackage-%{version}.tar.gz
BuildRequires:  %{python_module pytest >= 4.6}
# Patch0 is for the change from doctestplus 0.5 to 0.6
BuildRequires:  %{python_module pytest-doctestplus >= 0.6}
BuildRequires:  %{python_module setuptools >= 30.3}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 4.6
BuildArch:      noarch
%python_subpackages

%description
This package contains a simple plugin for the pytest framework that provides a
shortcut to testing all code and documentation for a given sub-package.

%prep
%autosetup -p1 -n pytest-filter-subpackage-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# don't error on obs resource warnings
sed -i '/^\s*error/ a \    ignore::ResourceWarning' setup.cfg
%pytest

%files %{python_files}
%doc README.rst CHANGES.rst
%license LICENSE.rst
%{python_sitelib}/pytest_filter_subpackage
%{python_sitelib}/pytest_filter_subpackage-%{version}*-info

%changelog
* Thu Mar 21 2024 Dirk Müller <dmueller@suse.com>
- update to 0.2.0:
  * pytest 8.1 compatibility.
  * Dropped Python 3.7 support. Minimum supported pytest is now
    4.6.
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.1.2:
  * Fixed bug that caused ``-P time`` to also match
    ``package.timeseries``. [#7]
  * Dropped Python 3.6 support.
- drop fix-doctestplus-count.patch (upstream)
* Fri Oct 22 2021 Ben Greiner <code@bnavigator.de>
- disable python36 build: pytest-doctestplus dropped support
* Fri Apr 16 2021 Ben Greiner <code@bnavigator.de>
- Fix test suite: Don't error on OBS resource warnings
* Wed Dec  9 2020 Benjamin Greiner <code@bnavigator.de>
- Fix test failure gh#astropy/pytest-filter-subpackage#3
  fix-doctestplus-count.patch
* Mon Mar 16 2020 Tomáš Chvátal <tchvatal@suse.com>
- New package, needed by pytest-astropy
